using System;
using System.Diagnostics;
using System.Threading;


namespace ManagedApp
{
	/// <summary>
	/// Summary description for FTSServer.
	/// </summary>
	public class FTSServer
	{
		private static FTSServer fts;

		private object o;

		private FTSServer()
		{
			this.o = new object();
		}

		public static FTSServer GetInstance()
		{
			if(fts == null)
			{
				fts = new FTSServer();
			}
			
			return fts;
		}

		public void ListenForPeers(int clients)
		{
			Random rdm = new Random();

			for (int i =0; i<clients; i++)
			{
				int sleepTime = rdm.Next(1,10);
				CommmunicationThread comm = new CommmunicationThread(i,sleepTime); 
				Thread t = new Thread( new ThreadStart(comm.ListenClient));
				t.Start();
			}
		}

		

	}
}
