using System;
using System.Threading;

namespace ManagedApp
{
	/// <summary>
	/// Summary description for CommmunicationThread.
	/// </summary>
	public class CommmunicationThread
	{
		int device;
		int sleepTime;

		public CommmunicationThread(int devId, int seconds)
		{
			this.device = devId;
			this.sleepTime = seconds;
		}

		public void ListenClient()
		{
			SyncPerformanceHandler syncHand = new SyncPerformanceHandler( this.device );
			
			syncHand.BeginSync();
			
			
			DateTime finish = DateTime.Now.AddMilliseconds(this.sleepTime * 1000);

			while(DateTime.Now.CompareTo(finish)<0)
			{

				for(int i=1; i<100000; i++)
				{
					Thread.Sleep(0);
				}
			}

			syncHand.EndSync();
		
			syncHand.PublishPerformance();            
		}
	}
}
